Skip to main content
`Ctrl`+`K`

# MatSTRUMPACKSetGeometricNxyz

Set STRUMPACK https://portal.nersc.gov/project/sparse/strumpack/master mesh x, y and z dimensions, for use with GEOMETRIC ordering.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSTRUMPACKSetGeometricNxyz(Mat F, PetscInt nx, PetscInt ny, PetscInt nz)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()` from PETSc-STRUMPACK interface

- nx - x dimension of the mesh

- ny - y dimension of the mesh

- nz - z dimension of the mesh

## Note

If the mesh is two (or one) dimensional one can use 1, `PETSC_DECIDE` or `PETSC_DEFAULT` for the missing z (and y) dimensions.

## See Also

`MATSOLVERSTRUMPACK`, `MatGetFactor()`

## Level

intermediate

## Location

src/mat/impls/aij/mpi/strumpack/strumpack.c

## Examples

src/ksp/ksp/tutorials/ex52.c

## Implementations

MatSTRUMPACKSetGeometricNxyz_STRUMPACK() in src/mat/impls/aij/mpi/strumpack/strumpack.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages